package org.apache.logging.log4j.script.plugins;

import org.apache.logging.log4j.plugins.model.PluginEntry;
import org.apache.logging.log4j.plugins.model.PluginService;

public class Log4jPlugins extends PluginService {

  private static final PluginEntry[] ENTRIES = new PluginEntry[] {
    PluginEntry.builder()
      .setKey("scripts")
      .setClassName("org.apache.logging.log4j.script.ScriptsPlugin")
      .setName("scripts")
      .setNamespace("Core")
      .setElementType("scripts")
      .get(),
    PluginEntry.builder()
      .setKey("scriptfile")
      .setClassName("org.apache.logging.log4j.script.ScriptFile")
      .setName("ScriptFile")
      .setNamespace("Core")
      .setElementType("ScriptFile")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("script")
      .setClassName("org.apache.logging.log4j.script.ScriptPlugin")
      .setName("Script")
      .setNamespace("Core")
      .setElementType("Script")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("scriptarbiter")
      .setClassName("org.apache.logging.log4j.script.config.arbiter.ScriptArbiter")
      .setName("ScriptArbiter")
      .setNamespace("Core")
      .setElementType("Arbiter")
      .setPrintable(true)
      .setDeferChildren(true)
      .get(),
    PluginEntry.builder()
      .setKey("scriptappenderselector")
      .setClassName("org.apache.logging.log4j.script.appender.ScriptAppenderSelector")
      .setName("ScriptAppenderSelector")
      .setNamespace("Core")
      .setElementType("appender")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("scriptfilter")
      .setClassName("org.apache.logging.log4j.script.filter.ScriptFilter")
      .setName("ScriptFilter")
      .setNamespace("Core")
      .setElementType("filter")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("scriptref")
      .setClassName("org.apache.logging.log4j.script.ScriptRef")
      .setName("ScriptRef")
      .setNamespace("Core")
      .setElementType("ScriptRef")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("scriptpatternselector")
      .setClassName("org.apache.logging.log4j.script.layout.ScriptPatternSelector")
      .setName("ScriptPatternSelector")
      .setNamespace("Core")
      .setElementType("patternSelector")
      .setPrintable(true)
      .get(),
    PluginEntry.builder()
      .setKey("scriptcondition")
      .setClassName("org.apache.logging.log4j.script.appender.rolling.action.ScriptCondition")
      .setName("ScriptCondition")
      .setNamespace("Core")
      .setElementType("ScriptCondition")
      .setPrintable(true)
      .get()
    };
    @Override
    public PluginEntry[] getEntries() { return ENTRIES; }
}
